# Generated by Django 3.1.4 on 2020-12-11 14:12

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BoardMember',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('bm_name', models.CharField(max_length=100)),
                ('salary', models.DecimalField(decimal_places=3, max_digits=9)),
                ('title', models.CharField(max_length=100)),
                ('birth_date', models.DateField(max_length=100)),
                ('e_mail', models.EmailField(max_length=100)),
                ('phone_numb', models.CharField(max_length=100)),
            ],
            options={
                'db_table': 'board_members',
            },
        ),
        migrations.CreateModel(
            name='Department',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('d_name', models.CharField(max_length=100)),
                ('board_member', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='staff.boardmember')),
            ],
            options={
                'db_table': 'departments',
            },
        ),
        migrations.CreateModel(
            name='Manager',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('m_name', models.CharField(max_length=100)),
                ('salary', models.DecimalField(decimal_places=3, max_digits=9)),
                ('birth_date', models.DateField(max_length=100)),
                ('e_mail', models.EmailField(max_length=100)),
                ('phone_numb', models.CharField(max_length=100)),
                ('board_member', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='staff.boardmember')),
                ('department', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='staff.department')),
            ],
            options={
                'db_table': 'managers',
            },
        ),
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('e_name', models.CharField(max_length=100)),
                ('salary', models.DecimalField(decimal_places=3, max_digits=9)),
                ('birth_date', models.DateField()),
                ('e_mail', models.CharField(max_length=100)),
                ('phone_numb', models.CharField(max_length=100)),
                ('board_member', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='staff.boardmember')),
                ('department', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='staff.department')),
                ('manager', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='staff.manager')),
            ],
            options={
                'db_table': 'employees',
            },
        ),
    ]
